Skip to content
Start here

Download Item Content.

aisearch.namespaces.instances.items.download(stritem_id, ItemDownloadParams**kwargs) -> BinaryResponseContent
GET/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}/download

Downloads the raw file content for a specific item from the managed AI Search instance storage.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
name: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
item_id: str
ReturnsExpand Collapse
BinaryResponseContent

Download Item Content.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.namespaces.instances.items.download(
    item_id="item_id",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    name="my-namespace",
    id="my-ai-search",
)
print(response)
content = response.read()
print(content)
Returns Examples